//
//  edmessage_generalAppDelegate.m
//  edmessage_general
//
//  Created by Simon Wolf on 25/05/2010.
//  Copyright 2010 Otter Software Ltd. All rights reserved.
//

#import "AppDelegate.h"
#import <EDMessage/EDMessage.h>

@implementation AppDelegate

- (IBAction)sendAttachmentWithSpaces:(id)sender;
{
  NSString *username = @"Your Server Username";
  NSString *password = @"Your Server Password";
  NSString *server = @"Your Server";
  BOOL useSecureConnection = YES;
  
  NSDictionary *headers = [NSDictionary dictionaryWithObjectsAndKeys:
                           @"The From Email Address", @"From",
                           @"The To Email Address", @"To",
                           @"Example Message", @"Subject",
                           nil];
  
  NSString *attachmentPath = [[NSBundle mainBundle] pathForResource:@"Mac and PC" ofType:@"jpg"];
  NSData *attachmentData = [NSData dataWithContentsOfFile:attachmentPath];
  NSArray *attachments = [NSArray arrayWithObject:[EDObjectPair pairWithObjects:attachmentData:[attachmentPath lastPathComponent]]];
  
  EDMailAgent *mailAgent = [EDMailAgent mailAgentForRelayHostWithName:server];
  [mailAgent setUsesSecureConnections:useSecureConnection];
  [mailAgent setAuthInfo:[NSDictionary dictionaryWithObjectsAndKeys:username, EDSMTPUserName, password, EDSMTPPassword, nil]];
  
  @try {
    [mailAgent sendMailWithHeaders:headers body:@"An example message body" andAttachments:attachments];
  }
  @catch (NSException *edMailAgentException) {
    NSLog(@"NSMailAgentException: Authentication Failed %@",[edMailAgentException name]);
    return;
  }
  
  NSLog(@"The message was successfully sent.");
}

- (IBAction)sendTextAttachment:(id)sender;
{
  NSString *username = @"Your Server Username";
  NSString *password = @"Your Server Password";
  NSString *server = @"Your Server";
  BOOL useSecureConnection = YES;
  
  NSDictionary *headers = [NSDictionary dictionaryWithObjectsAndKeys:
                           @"The From Email Address", @"From",
                           @"The To Email Address", @"To",
                           @"Example Message", @"Subject",
                           nil];
  
  NSString *attachmentPath = [[NSBundle mainBundle] pathForResource:@"textfile" ofType:@"txt"];
  NSData *attachmentData = [NSData dataWithContentsOfFile:attachmentPath];
  NSArray *attachments = [NSArray arrayWithObject:[EDObjectPair pairWithObjects:attachmentData:[attachmentPath lastPathComponent]]];
  
  EDMailAgent *mailAgent = [EDMailAgent mailAgentForRelayHostWithName:server];
  [mailAgent setUsesSecureConnections:useSecureConnection];
  [mailAgent setAuthInfo:[NSDictionary dictionaryWithObjectsAndKeys:username, EDSMTPUserName, password, EDSMTPPassword, nil]];
  
  @try {
    [mailAgent sendMailWithHeaders:headers body:@"An example message body" andAttachments:attachments];
  }
  @catch (NSException *edMailAgentException) {
    NSLog(@"NSMailAgentException: Authentication Failed %@",[edMailAgentException name]);
    return;
  }
  
  NSLog(@"The message was successfully sent.");
}
@end
